• 全部
  • 问答

Qemu运行Linux内核出现kernel panic -not syncing:attempted to kill init

17岁boy想当攻城狮 无公司 无职位  2020-05-11 03:23:24
kernel panic -not syncing:attempted to kill init
请问这个问题有人遇到过吗?
第一次编译Linux,内核版本是2.6.34
...全文
220 点赞 收藏 13
写回复
13 条回复
切换为时间正序
请发表友善的回复…
发表回复
mouse_zhu 2020-05-12
引用 9 楼 17岁boy想当攻城狮 的回复:
引用 8 楼 mouse_zhu 的回复:
[quote=引用 6 楼 17岁boy想当攻城狮 的回复:] [quote=引用 5 楼 mouse_zhu 的回复:]你可以换一个3或4的内核来试试.
好的,有具体版本吗?我是在ubtunu18.04上编译的
我用的4.4.15[/quote]你是在什么系统环境下编译的 [/quote] 我是国产平台,申威你可能没听说过
回复
引用 11 楼 mouse_zhu 的回复:
引用 9 楼 17岁boy想当攻城狮 的回复:
[quote=引用 8 楼 mouse_zhu 的回复:][quote=引用 6 楼 17岁boy想当攻城狮 的回复:] [quote=引用 5 楼 mouse_zhu 的回复:]你可以换一个3或4的内核来试试.
好的,有具体版本吗?我是在ubtunu18.04上编译的
我用的4.4.15[/quote]你是在什么系统环境下编译的 [/quote] 我是国产平台,申威你可能没听说过[/quote]他们用的差不多类似阿尔法架构
回复
引用 11 楼 mouse_zhu 的回复:
引用 9 楼 17岁boy想当攻城狮 的回复:
[quote=引用 8 楼 mouse_zhu 的回复:][quote=引用 6 楼 17岁boy想当攻城狮 的回复:] [quote=引用 5 楼 mouse_zhu 的回复:]你可以换一个3或4的内核来试试.
好的,有具体版本吗?我是在ubtunu18.04上编译的
我用的4.4.15[/quote]你是在什么系统环境下编译的 [/quote] 我是国产平台,申威你可能没听说过[/quote]呃...这个还真听过,不仅听过我还去给申威做过适配,以前在deepin的时候
回复
h549570564 2020-05-11
可以参考一下我这篇文章,我是在ubuntu18.04下,用qemu调试Linux4.1.43的Arm64内核。 有问题可以再咨询我 https://blog.csdn.net/h549570564/article/details/102941692
回复
引用 8 楼 mouse_zhu 的回复:
引用 6 楼 17岁boy想当攻城狮 的回复:
[quote=引用 5 楼 mouse_zhu 的回复:]你可以换一个3或4的内核来试试.
好的,有具体版本吗?我是在ubtunu18.04上编译的
我用的4.4.15[/quote]你是在什么系统环境下编译的
回复
mouse_zhu 2020-05-11
引用 6 楼 17岁boy想当攻城狮 的回复:
引用 5 楼 mouse_zhu 的回复:
你可以换一个3或4的内核来试试.
好的,有具体版本吗?我是在ubtunu18.04上编译的
我用的4.4.15
回复
引用 5 楼 mouse_zhu 的回复:
你可以换一个3或4的内核来试试.
方便添加一个联系方式吗
回复
引用 5 楼 mouse_zhu 的回复:
你可以换一个3或4的内核来试试.
好的,有具体版本吗?我是在ubtunu18.04上编译的
回复
mouse_zhu 2020-05-11
你可以换一个3或4的内核来试试.
回复
引用 2 楼 mouse_zhu 的回复:
你的内核太老了.
这个跟我编译器版本有关系吗?还是应该学习哪个版本比较合适
回复
引用 2 楼 mouse_zhu 的回复:
你的内核太老了.
我当时用的是gcc4.8编译的内核,编译成功了,然后又用gcc4.8编译的一个简单init程序,运行就出现这样的问题了
回复
mouse_zhu 2020-05-11
你的内核太老了.
回复
回复
发帖
Linux_Kernel
创建于2007-08-27

4084

社区成员

Linux/Unix社区 内核源代码研究区
申请成为版主
帖子事件
创建了帖子
2020-05-11 03:23
社区公告
暂无公告